Take the 2-minute tour ×
Programmers Stack Exchange is a question and answer site for professional programmers interested in conceptual questions about software development. It's 100% free, no registration required.

In the release notes for PHP 5.5.0 it's announced that Windows XP and Windows 2003 are not supported anymore:

Drop Windows XP and 2003 support. (Pierre)

Why is this? Many people in different companies develop applications under Windows XP.

So, can anyone tell me what is the sense of dropping Windows XP and 2003 support?

share|improve this question

closed as off topic by Robert Harvey, GlenH7, Walter, Yusubov, BЈовић Nov 30 '12 at 7:18

Questions on Programmers Stack Exchange are expected to relate to software development within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

10  
Because ten years. –  Robert Harvey Nov 29 '12 at 19:41

2 Answers 2

up vote 10 down vote accepted

Dropping support for 10 year old systems means one can use more modern and efficient APIs and options.

One area (among others) is around the TCP/IP stack. Windows Vista introduced a new stack and kept old APIs for compatibility. By using the new APIs PHP can get better preforming results in some areas. (Sample for that: https://github.com/php/php-src/commit/94994104a54a57ee3ff2a143a1f6c43850589378)

Another thing is that due to the way Windows works and due to the fact that people don't compile PHP themselves specifically for the platform there are a few runtime decisions depending on the windows version to enable or disable specific features. By dropping support for old systems the code can be made simpler to maintain.

share|improve this answer
2  
That's all there is to it, as everything in programming it's a trade off. At some point you just don't have the time to keep on supporting everything. –  Yannis Rizos Nov 29 '12 at 20:16
    
I think this is a biased answer... the fact the OS is 10 years old or 100 years old... should not be the matter... the fact is that XP/2003 is running in a lot of machines around the world... and MS wants people to buy new OS (even if they do not need them)... so they launch .net 4.5... remember .net 4.0 still supports windows XP/2003... I only regret that people who made decisions of PHP are sailing with MS in this... –  ZEE Sep 9 at 12:01
    
@ZEE Feel free to provide other arguments. In the end this are the reasons we (as in PHP development team) decided that way. Same way we drop support for old libraries for different extensions every now and then. –  johannes Sep 9 at 12:09

Windows XP and Windows 2003 are very near their end of life, Microsoft has already announced that they will stop supporting both products on April 8, 2014.

PHP is an open source project supported mostly by volunteers, it wouldn't make sense to support every legacy system there is ad infinitum. Both systems are about a decade old, and while people may still use them, I see absolutely no reason for PHP to continue supporting them.

You always have the option of forking PHP 5.5 and adding support for either system if you want.

share|improve this answer
3  
Thank you downvoter, your -2 made my rep palindromic! 18,281 - awesome! –  Yannis Rizos Nov 29 '12 at 19:54
4  
Oh, crap, an annoying upvoter just spoiled it... <sigh> –  Yannis Rizos Nov 29 '12 at 19:56

Not the answer you're looking for? Browse other questions tagged or ask your own question.